%if 0%{?fedora} || 0%{?rhel} >= 8
%bcond_without python3
%endif

%global srcname j1m.sphinxautointerface

Name:           python-%{srcname}
Version:        0.3.0
Release:        3%{?dist}
Summary:        Sphinx extension for documenting zope.interface interfaces

License:        BSD
URL:            https://pypi.python.org/pypi/j1m.sphinxautointerface/
Source0:        https://files.pythonhosted.org/packages/source/j/%{srcname}/%{srcname}-%{version}.tar.gz
# This package is forked from the sphinx-contrib package, namely the zopeext
# extension.  This is the license file for the entire sphinx-contrib package.
Source1:        https://bitbucket.org/birkenfeld/sphinx-contrib/raw/8e295053a27d5914127fbb01e2a8fb57421897a7/LICENSE
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-sphinx
BuildRequires:  python2-zope-interface

Requires:       python2-sphinx
Requires:       python2-zope-interface

%if %{with python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-zope-interface
%endif

%description
This sphinx extension provides an :rst:dir:autointerface directive for
Zope interfaces.

%package     -n python2-%{srcname}
Summary:        Sphinx extension for documenting zope.interface interfaces
Requires:       python2-sphinx
Requires:       python-zope-interface

%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
This sphinx extension provides an :rst:dir:autointerface directive for
Zope interfaces.

%if %{with python3}
%package     -n python3-%{srcname}
Summary:        Sphinx extension for documenting zope.interface interfaces
Requires:       python3-sphinx
Requires:       python3-zope-interface

%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
This sphinx extension provides an :rst:dir:autointerface directive for
Zope interfaces.
%endif

%prep
%autosetup -c
cp -p %{SOURCE1} .
mv %{srcname}-%{version} python2

%if %{with python3}
cp -a python2 python3
%endif

%build
pushd python2
%py2_build
popd

%if %{with python3}
pushd python3
%py3_build
popd
%endif

%install
pushd python2
%py2_install
popd

%if %{with python3}
pushd python3
%py3_install
popd
%endif

# Once upstream provides meaningful tests, uncomment the following.
#%%check
#pushd python2
#%%{__python2} setup.py test
#popd
#
#%%if %%{with python3}
#pushd python3
#%%{__python3} setup.py test
#popd
#%%endif

%files -n python2-%{srcname}
%doc python2/README.rst
%{python2_sitelib}/*

%if %{with python3}
%files -n python3-%{srcname}
%doc python3/README.rst
%{python3_sitelib}/*
%endif

%changelog
* Sat Nov 25 2017 Jerry James <loganjerry@gmail.com> - 0.3.0-3
- Add LICENSE file from upstream repository

* Wed Jul 26 2017 Jerry James <loganjerry@gmail.com> - 0.3.0-2
- Comment out useless check script

* Sat Mar 25 2017 Jerry James <loganjerry@gmail.com> - 0.3.0-1
- Initial RPM
